> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the finding by ID

> Update the finding by ID



## OpenAPI

````yaml /api-specs/6.3/governance-api.yaml put /findings/{id}
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers: []
security: []
paths:
  /findings/{id}:
    put:
      tags:
        - findings
      summary: Update the finding by ID
      description: Update the finding by ID
      parameters:
        - description: ID of finding to update
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/guardrails.UpdateFindingRequest'
        description: Finding to update
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.Finding'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '423':
          description: Locked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    guardrails.UpdateFindingRequest:
      properties:
        approver:
          $ref: '#/components/schemas/guardrails.FindingUser'
        artifactId:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.FindingUser'
        description:
          type: string
        dueDate:
          type: string
        evidenceId:
          type: string
        name:
          type: string
        required:
          type: boolean
        severity:
          $ref: '#/components/schemas/guardrails.FindingSeverity'
        status:
          $ref: '#/components/schemas/guardrails.FindingStatus'
      type: object
    guardrails.Finding:
      properties:
        approvalId:
          type: string
        approvalName:
          type: string
        approver:
          $ref: '#/components/schemas/guardrails.FindingUser'
        artifactId:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.FindingUser'
        bundleId:
          type: string
        createdAt:
          type: string
        createdBy:
          type: object
        description:
          type: string
        dueDate:
          type: string
        evidenceId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        required:
          type: boolean
        severity:
          $ref: '#/components/schemas/guardrails.FindingSeverity'
        status:
          $ref: '#/components/schemas/guardrails.FindingStatus'
        taskId:
          type: string
        updatedAt:
          type: string
        updatedBy:
          type: object
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.FindingUser:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.FindingSeverity:
      enum:
        - S0
        - S1
        - S2
        - S3
      type: string
      x-enum-varnames:
        - S0
        - S1
        - S2
        - S3
    guardrails.FindingStatus:
      enum:
        - ToDo
        - InProgress
        - InReview
        - Done
        - WontDo
      type: string
      x-enum-varnames:
        - ToDo
        - InProgress
        - InReview
        - Done
        - WontDo

````